### Hierarchy

- DeepCopy<DataRequest>
  - DataRequest

## Index

### Constructors

- constructor

### Properties

- fromPk
- id
- requestData
- responseData
- toPk

### Methods

- copy
- deepCopyFromJson

## Constructors

### constructor

- new DataRequest(toPk?: string, requestData?: string, responseData?: string): DataRequest

- - Defined in repository/models/DataRequest.ts:9

  #### Parameters

  - ##### Default value toPk: string = ""

  - ##### Default value requestData: string = ""

  - ##### Default value responseData: string = ""

  #### Returns DataRequest

## Properties

### fromPk

fromPk: string = ""

- Defined in repository/models/DataRequest.ts:6

### id

id: number = 0

- Defined in repository/models/DataRequest.ts:5

### requestData

requestData: string = ""

- Defined in repository/models/DataRequest.ts:8

### responseData

responseData: string = ""

- Defined in repository/models/DataRequest.ts:9

### toPk

toPk: string = ""

- Defined in repository/models/DataRequest.ts:7

## Methods

### copy

- copy(changeArgs?: JsonObject<DataRequest>): DataRequest

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<DataRequest>

  #### Returns DataRequest

### Protected deepCopyFromJson

- deepCopyFromJson(): DataRequest

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:18

  #### Returns DataRequest

Generated using TypeDoc